com.trendmicro.ds.platform.rest.object.host

## Class ComponentElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.host.ComponentElement

-     public class ComponentElement
      extends java.lang.Object

  Represents the information for an individual component in the system. Components are patterns, rule updates, manifests, etc.., typically items that are visible on the ComputerEditor->Updates page.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Get the Name of the Component
    `java.lang.String` | `getPlatformName()` Get the Plaform of the Component
    `java.lang.String` | `getProductName()` Get the Product Name of the Component
    `java.lang.String` | `getVersion()` Get the Version of the Component
    `boolean` | `isLatest()` is this the Component latest?
    `void` | `setLatest(boolean isLatest)`
    `void` | `setName(java.lang.String name)`
    `void` | `setPlatformName(java.lang.String platformName)`
    `void` | `setProductName(java.lang.String productName)`
    `void` | `setVersion(java.lang.String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentElement

          public ComponentElement()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the Name of the Component

    - #### setName

          public void setName(java.lang.String name)

    - #### getProductName

          public java.lang.String getProductName()

      Get the Product Name of the Component

    - #### setProductName

          public void setProductName(java.lang.String productName)

    - #### getPlatformName

          public java.lang.String getPlatformName()

      Get the Plaform of the Component

    - #### setPlatformName

          public void setPlatformName(java.lang.String platformName)

    - #### getVersion

          public java.lang.String getVersion()

      Get the Version of the Component

    - #### setVersion

          public void setVersion(java.lang.String version)

    - #### isLatest

          public boolean isLatest()

      is this the Component latest?

    - #### setLatest

          public void setLatest(boolean isLatest)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.